Subject: Re: bug#27007: [PATCH 1/2] bootloader: Use menu-entry to define custom bootloader entries.

From: Mathieu Othacehe <[email-masked]>
Date: Thu, 01 Jun 2017 10:34:39 +0200

Hi Danny,

> For another future patch:  Hmm, should we make this optional?  I didn't have an initrd for many years.

Well I tried to run GuixSD without initrd and it's not possible
yet. Besides mounting root partition, it's also used to start the
initial guile script (/run/current-system/boot).

However, that's something I'd like to see :)

>
>> --- a/gnu/bootloader/extlinux.scm

> That's why I think if we have public <menu-entry> records anyway now, let's use them for the bootloader stuff throughout.

You're right there's something fishy here. But, if we want to remove the
notion of <boot-parameters> from (gnu bootloader ...), that would mean
that callers of "configuration-file-generator" will have to adapt their
API and that's a more consequent rework.

Ludo, any thoughts ?

Mathieu